/*********************************************************
 * event.h
 *
 * Copyright (c) Stefan Hellkvist
 *********************************************************/

#ifndef EVENT_H
#define EVENT_H

#include "define.h"

#include "wizard.h"

#define DRAG      0
#define PEN_UP    1
#define PEN_DOWN  2

typedef struct PenEvent
{
    int x, y;
} PenEvent;

/*ce typedef enum { SINGLE_STROKE, MULTIPLE_STROKE } MODE; */


/*ce 
extern MODE mode;
void setMode( SM_MODE m ); */



#define ML_WIDTH    141
#define ML_HEIGHT   144
#define ML_ACTMASK  (ACT_ICON|ACT_DOWN_IN|ACT_DOWN) /*(ACT_ICON|ACT_DOWN|ACT_DOWN_IN)  /* (ACT_ICON|ACT_MOVE) |ACT_MOVE */

#define MERLIN_TCH(x,y,obj)			   \
	x, y, (x) + ML_WIDTH-1, (y) + ML_HEIGHT-1, \
	ML_ACTMASK, obj, 0

int  mlHandleEvent(TCHSTS *);
void mlPaint();
void mlInit(TCHTBL far *tch, bool ink);

void dropInputPattern();

/*ce*/
typedef enum { ALPHA_MODE, ALPHA_EXT_MODE, NUMERAL_MODE, NUMERAL_EXT_MODE } t_char_mode;
typedef enum { LOWERCASE_MODE, SHIFTED_MODE, CAPSLOCK_MODE } t_shift_mode;
/* SHIFT_MODE always implies ALPHA_MODE, CAPSLOCK_MODE does not */

void setCharMode( t_char_mode cm );
void setShiftMode( t_shift_mode sm );
t_char_mode getCharMode();
t_shift_mode getShiftMode();

unsigned char changeToNextMode( unsigned char c ); /* the 'state machine' for the modes */


/*
#define UP_STROKE     ((unsigned char)0x01)  
#define NUM_STROKE    ((unsigned char)0x02)
#define DEBUG_STROKE  ((unsigned char)0x03)
#define COPY_STROKE   ((unsigned char)0x04)
#define PASTE_STROKE  ((unsigned char)0x05)
*/

#endif



