/*********************************************************
 * wizard.h
 *
 * Copyright (c) Stefan Hellkvist
 *
 * The functions every wizard should implement
 * See elasticWizard.c for an example of an implementation
 *********************************************************/

#ifndef WIZARD_H
#define WIZARD_H

#include "pattern.h"

typedef enum { ALPHA, ALPHA_CAPITAL, ALPHA_EXT, NUMERAL, NUMERAL_EXT } BANK;

BANK getBank();
void setBank( BANK b );
void initWizard();
Pattern FAR *doallpreprocessing( Pattern FAR *p );
unsigned char recognize( Pattern FAR *p );
unsigned char recognizeMore( Pattern FAR *p, BANK b );  /* continues recognition on another banks */


#endif
